Replacements
Update replacement rule
Developer API operation for PATCH /dev/v1/replacement-rules/.
PATCH
/
dev
/
v1
/
replacement-rules
/
{id}
Update replacement rule
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/replacement-rules/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/replacement-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/replacement-rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/replacement-rules/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/replacement-rules/{id}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}Previous
Archive replacement ruleDeveloper API operation for DELETE /dev/v1/replacement-rules/{id}.
Next
⌘I
Update replacement rule
